
	## -- --- --- --- --- --- ##   IMPORT / SETUP
	 ##   
	 ##  import packages and setup global data
	## -- --- --- --- --- --- --- --- -- ##

import sys
import os

adminPath = str(os.path.dirname( os.path.abspath(__file__) )) + "/../"
sys.path.insert(0, adminPath)
import tools.admin as sqla

import settings
database = r"../../" + settings.dbFilename

	## - --- --- --- --- ,,, --- ''' qSp ''' --- ,,, --- --- --- --- - ##



	## -- --- --- --- --- --- ##   SQL COMMANDS
	 ##
	 ##   
	## -- --- --- --- --- --- --- --- -- ##

sql_table_menu = """
    INSERT INTO menu(ltext, link) VALUES(?,?)
"""

	## - --- --- --- --- ,,, --- ''' qSp ''' --- ,,, --- --- --- --- - ##




##- --- --- --- --- --- --- --- --- --- --.###. --- --- --- --- --- --- --- --- --- --- --- --- --- -##
##- --- --- --- --- --- --- --- --- --- -## --##--- --- --- --- --- --- --- --- --- --- --- --- --- -##
##- --- --- --- --- --- --- --- --- --- ##- ---##-- --- --- --- --- --- --- --- --- --- --- --- --- -##
##- --- --- --- --- --- --- --- --- --- #########-- --- --- --- --- --- --- --- --- --- --- --- --- -##
##- --- --- --- --- --- --- --- --- --- ##- ---##-- --- --- --- --- --- --- --- --- --- --- --- --- -##
##- --- --- --- --- --- --- --- --- --- ##- ---##-- --- --- --- --- --- --- --- --- --- --- --- --- -##




     ## -- --- --- --- --- --- ()   main
    ##
    ##   
     ## -- --- --- --- --- --- --- --- -- ()

def main ():
    conn = sqla.cr_conn(database)

    with conn:
        link1 = ('Google', 'https://www.google.com')
        sqla.ins_table(conn, sql_table_menu, link1)

        link2 = ('Bing', 'https://www.bing.com')
        sqla.ins_table(conn, sql_table_menu, link2)

        link3 = ('YouTube', 'https://www.youtube.com')
        sqla.ins_table(conn, sql_table_menu, link3)

        link4 = ('Discord', 'https://www.discord.com')
        sqla.ins_table(conn, sql_table_menu, link4)
    #...
#...

    ## - --- --- --- --- ,,, --- ''' qFp ''' --- ,,, --- --- --- --- - ##




##- --- --- --- --- --- --- --- --- --- #######.--- --- --- --- --- --- --- --- --- --- --- --- --- -##
##- --- --- --- --- --- --- --- --- --- ##- --##--- --- --- --- --- --- --- --- --- --- --- --- --- -##
##- --- --- --- --- --- --- --- --- --- ##-###. --- --- --- --- --- --- --- --- --- --- --- --- --- -##
##- --- --- --- --- --- --- --- --- --- ##- --##--- --- --- --- --- --- --- --- --- --- --- --- --- -##
##- --- --- --- --- --- --- --- --- --- ##- --##--- --- --- --- --- --- --- --- --- --- --- --- --- -##
##- --- --- --- --- --- --- --- --- --- ####### --- --- --- --- --- --- --- --- --- --- --- --- --- -##




if __name__ == '__main__':
    main()